package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 朗通产品表
 * </p>
 *
 * @author gaodm
 * @since 2018-09-18
 */
@TableName("diag_lantone_product")
public class LantoneProduct implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 产品id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除 N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 产品名称
     */
    private String name;

    /**
     * 产品介绍
     */
    private String decription;

    /**
     * 计费方式
     */
    private String chargeType;

    /**
     * 产品路径
     */
    private String url;

    /**
     * 停用状态
     */
    private Integer serviceStatus;

    /**
     * 试用状态
     */
    private Integer trialStatus;

    /**
     * 试用地址
     */
    private String trialUrl;

    /**
     * 接入方式（1：嵌入式，2：接口方式，3：online）
     */
    private String accessType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getDecription() {
        return decription;
    }

    public void setDecription(String decription) {
        this.decription = decription;
    }

    public String getChargeType() {
        return chargeType;
    }

    public void setChargeType(String chargeType) {
        this.chargeType = chargeType;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public Integer getTrialStatus() {
        return trialStatus;
    }

    public void setTrialStatus(Integer trialStatus) {
        this.trialStatus = trialStatus;
    }

    public String getTrialUrl() {
        return trialUrl;
    }

    public void setTrialUrl(String trialUrl) {
        this.trialUrl = trialUrl;
    }

    public String getAccessType() {
        return accessType;
    }

    public void setAccessType(String accessType) {
        this.accessType = accessType;
    }

    @Override
    public String toString() {
        return "LantoneProduct{" +
                "id=" + id +
                ", isDeleted=" + isDeleted +
                ", gmtCreate=" + gmtCreate +
                ", gmtModified=" + gmtModified +
                ", creator=" + creator +
                ", modifier=" + modifier +
                ", name=" + name +
                ", decription=" + decription +
                ", chargeType=" + chargeType +
                ", url=" + url +
                ", serviceStatus=" + serviceStatus +
                ", trialStatus=" + trialStatus +
                ", trialUrl=" + trialUrl +
                ", accessType=" + accessType +
                "}";
    }
}
